<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <title>sanity-check</title>
  </head>
  <body>
    
    <main role="main" class="container" style="margin-top: 40px; margin-bottom: 40px">
      <h2>sanity-check <small class="text-muted">all</small></h2>
      <h3><span class="badge badge-danger">critical</span></h3>

      <div class="card" style="margin-top: 20px">
	<div class="card-body">
	  <dl class="row">
	    <dt class="col-sm-3">Image Types:</dt>
	    <dd class="col-sm-9">basesdk-amd64 / fixedfunction-armhf / fixedfunction-arm64 / fixedfunction-amd64 / hmi-armhf / hmi-amd64 / sdk-amd64</dd>
	    <dt class="col-sm-3">Image Deployment:</dt>
	    <dd class="col-sm-9">APT, OSTree</dd>
	    <dt class="col-sm-3">Type:</dt>
	    <dd class="col-sm-9">sanity</dd>
	  </dl>

      <h4>Description</h4>
      <p>This test checks that the system bus is up, that a user session is created and that a graphical interface is successfully running in the system, as well as other similar basic services so that a stable and reliable environment can be confirmed before futher tests are executed. Basic functionality: services.</p>

      

      
      <hr />
      <h4>Pre Conditions</h4>
      <ol>
      
      
      
      
  <li class="mb-sm-2">Clone the tests repository from another computer <i>(Note that the branch being tested may change depending on the release, please make sure to clone the correct branch for the release in question)</i>:</li>
  <p><kbd>$ git clone --branch master https://gitlab.apertis.org/infrastructure/apertis-tests.git</kbd></p>
  <li class="mb-sm-2">Copy the test directory apertis-tests to the target device:</li>
  <p><kbd>$ DUT_IP=&ltdevice-ip&gt</kbd></p>
  <p><kbd>$ scp -r apertis-tests user@$DUT_IP:</kbd></p>
  <li class="mb-sm-2">Log into the target device:</li>
  <p><kbd>$ ssh user@$DUT_IP</kbd></p>

      
      <li class="mb-sm-2">A second system with a terminal and git available on it is required in order to run the above steps.</li>
      
      
      
      
      <li class="mb-sm-2">This test must be executed before other tests and even before installing other packages in the image, so the script to execute this test should be fetched from a different machine.</li>
      
      
      
      
      <li class="mb-sm-2">Since the Apertis image runs sshd by default, you can easily copy this file using the scp utility from the second machine, for this you will need the Apertis image IP, which you can find running the ip command from Apertis:</li>
      
      
      
      
      
      <p><kbd>$ ip addr</kbd></p>
      
      
      
      <li class="mb-sm-2">Alternatively, you can copy the apertis-tests directory in other ways, for example by using an external storage device, manually mounting the device and copying the folder. It is recommended and expected that you use scp from a second machine.</li>
      
      
      
      
      <li class="mb-sm-2">Once the apertis-tests folder is available in the Apertis image, follow the execution steps.</li>
      
      
      
      
      </ol>
      

      <hr />
      <h4>Execution Steps</h4>
      <ol>
      
      <li class="mb-sm-2"> Enter test directory:</li>
      
      
      
      
      
      
      <p><kbd>$ cd apertis-tests</kbd></p>
      
      
      
      
      <li class="mb-sm-2"> Execute the following command:</li>
      
      
      
      
      
      
      <p><kbd>$ common/sanity-check</kbd></p>
      
      
      
      
      </ol>

      <hr />
      <h4>Expected</h4>
      
      <p class="mt-sm-3">The command should report no failure and its output should be something like this at the end:</p>
      
      
      
      
      
      
      
      <p class="mb-sm-0 pl-sm-3"><samp>+ grep -E ^NAME=(&#34;?)Apertis\1$ /etc/os-release</samp></p><p class="mb-sm-0 pl-sm-3"><samp>NAME=&#34;Apertis&#34;</samp></p><p class="mb-sm-0 pl-sm-3"><samp>+ grep -E ^ID=(&#34;?)apertis\1$ /etc/os-release</samp></p><p class="mb-sm-0 pl-sm-3"><samp>ID=apertis</samp></p><p class="mb-sm-0 pl-sm-3"><samp>+ id -u user</samp></p><p class="mb-sm-0 pl-sm-3"><samp>+ test -S /run/user/1000/wayland-0</samp></p><p class="mb-sm-0 pl-sm-3"><samp>+ set +x</samp></p><p class="mb-sm-0 pl-sm-3"><samp># Sanity check successful</samp></p>
      
      
      

      

	</div>
      </div>

      
      <div class="card" style="margin-top: 30px">
	<div class="card-body">
      <h4>Notes</h4>
      <ul>
      
      <li class="mb-sm-2">IMPORTANT: If this test fails for an image, NO further tests should be executed on that image, since this invalidates all test results.</li>
      
      
      
      
      <li class="mb-sm-2">This test must be executed in an image before running either automated or manual tests.</li>
      
      
      
      
      </ul>
        </div>
      </div>
      
    </main>

  </body>
</html>